# Class ZBufferPlotVolume.Workspace

java.lang.Object
uk.ac.starlink.ttools.plot.ZBufferPlotVolume.Workspace

Enclosing class:
  `ZBufferPlotVolume`

public static class ZBufferPlotVolume.Workspace extends Object
Opaque workspace object for use with ZBufferPlotVolume instances. These buffers are expensive to create and to garbage collect, so if you are going to use a sequence of ZBufferPlotVolumes, you are encouraged to use the same Workspace object for each one. You cannot however use the same Workspace object for two ZBufferPlotVolumes which are simultaneously active.

Since:
  18 Jan 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Workspace()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Workspace

public Workspace()